> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Org Conversation

> Get a specific conversation by ID.

Returns full conversation details including logs/history reference.

**Access Control**: Requires VIEW_ORG_CONVERSATIONS permission (Admin or Owner role).

Raises:
    HTTPException: 404 if conversation not found or not in org



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/organizations/{org_id}/conversations/{conversation_id}
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/organizations/{org_id}/conversations/{conversation_id}:
    get:
      tags:
        - Orgs
      summary: Get Org Conversation
      description: >-
        Get a specific conversation by ID.


        Returns full conversation details including logs/history reference.


        **Access Control**: Requires VIEW_ORG_CONVERSATIONS permission (Admin or
        Owner role).


        Raises:
            HTTPException: 404 if conversation not found or not in org
      operationId: >-
        get_org_conversation_api_organizations__org_id__conversations__conversation_id__get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Org Id
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            title: Conversation Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgConversationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    OrgConversationResponse:
      properties:
        id:
          type: string
          title: Id
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        llm_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Llm Model
        agent_kind:
          type: string
          title: Agent Kind
          default: openhands
        user_id:
          type: string
          title: User Id
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        sandbox_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sandbox Id
        sandbox_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Sandbox Status
        runtime_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Runtime Url
        execution_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Execution Status
        selected_repository:
          anyOf:
            - type: string
            - type: 'null'
          title: Selected Repository
        selected_branch:
          anyOf:
            - type: string
            - type: 'null'
          title: Selected Branch
        git_provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Git Provider
        trigger:
          anyOf:
            - type: string
            - type: 'null'
          title: Trigger
        pr_number:
          items:
            type: integer
          type: array
          title: Pr Number
        pr_merged:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Pr Merged
        tags:
          additionalProperties:
            type: string
          type: object
          title: Tags
        accumulated_cost:
          type: number
          title: Accumulated Cost
          default: 0
        prompt_tokens:
          type: integer
          title: Prompt Tokens
          default: 0
        completion_tokens:
          type: integer
          title: Completion Tokens
          default: 0
        total_tokens:
          type: integer
          title: Total Tokens
          default: 0
        cache_read_tokens:
          type: integer
          title: Cache Read Tokens
          default: 0
        cache_write_tokens:
          type: integer
          title: Cache Write Tokens
          default: 0
      type: object
      required:
        - id
        - user_id
      title: OrgConversationResponse
      description: Response model for a single conversation in an organization.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````